<!doctype html>

<html lang="es">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css"
        integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous" />
    <title>{% block title %}{% endblock %}</title>
    {% block staticload %}
    {% load static %}
    {% endblock %}
</head>

<body style="background-color: rgba(175, 175, 175, 0.25);">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <span style="font-size: 1.5em; color: #ffc107;">
            <i class="fas fa-store-alt mr-2"></i>
        </span>
        <a class="navbar-brand text-warning" href="{% url 'welcome' %}">JACIV</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                {% if user.is_authenticated %}
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle active" id="navbarDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false" href="">
                        Publicaciones
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg-right">
                        <a class="dropdown-item" href="{% url 'show-pulication-deals' %}">Comprar Publicaciones</a>
                        <a class="dropdown-item" href="{% url 'create-publication' %}">Crear Publicación</a>
                    </div>
                </li>
                {% endif %}
                {% if user.is_staff and user.is_superuser%}
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle active" id="navbarDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false" href="">
                        Reportes
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg-right">
                        <a class="dropdown-item" href="{% url 'comment-reports' %}">Comentarios</a>
                        <a class="dropdown-item" href="{% url 'publication-reports' %}">Publicaciones</a>
                        <a class="dropdown-item" href="{% url 'disabled-publications' %}">Publicaciones Deshabilitadas</a>
                    </div>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'transaction-history-all' %}">Transacciones</a>
                </li>
                {% endif %}
            </ul>

            <form id="global-query" class="mx-center" style="width: 60%;" method="POST"
                action="{% url 'search-site' %}">
                {% csrf_token %}
                <div class="form-row align-items-center">
                    <div class="col-auto">
                        <label class="sr-only" for="inlineFormInputGroup">Username</label>
                        <div class="input-group mb-2">
                            <div class="input-group-prepend">
                                <select class="form-control mr-1" name="category" id="category">
                                    <option>Productos</option>
                                    {% if user.is_authenticated %}<option>Cuentas</option>{% endif %}
                                </select>
                            </div>
                            <input type="text" class="form-control" name="search" id="search">
                        </div>
                    </div>
                    <div class="col-auto">
                        <button type="submit" class="btn btn-warning mb-2">Buscar</button>
                    </div>
                </div>
            </form>

            {% if user.is_authenticated %}
            <ul class="navbar-nav my-2 my-lg-0">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle active" id="navbarDropdown" role="button" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false" href="{% url 'account-management' pk=user.id%}">
                        Mi Cuenta
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg-left"
                        aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="{% url 'account-management' pk=user.id%}">Ver Cuenta</a>
                        <a class="dropdown-item" href="{% url 'user-suggestions' %}">Ver Sugerencias</a>
                        <a class="dropdown-item" href="{% url 'account-publications'%}">Ver Mis Publicaciones</a>
                        <a class="dropdown-item" href="{% url 'transactions-history' %}">Historial de Compras</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="{% url 'logout' %}">Cerrar Sesión</a>
                    </div>
                </li>
            </ul>
            {% else %}
            <ul class="navbar-nav my-2 my-lg-0">
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'signup' %}">Registrarse</a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'login' %}">Iniciar Sesión</a>
                </li>
            </ul>
            {% endif %}
        </div>
    </nav>
    {% block content %}{% endblock %}
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
    {% block scriptfiles %}
    {% endblock %}
</body>

</html>